跳转到主要内容
计算管理/主机相关接口/PCI设备相关接口
GETPCI Device Related APIs起始版本 0.6同步需要认证

查询PCI设备规格

查询PCI设备规格

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    操作是否成功。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • uuidString必填

      资源的UUID,唯一标示该资源

    • nameString必填

      资源名称

    • descriptionString必填

      资源的详细描述

    • vendorIdString必填

      供应商ID

    • deviceIdString必填

      设备ID

    • subvendorIdString必填

      子供应商ID

    • subdeviceIdString必填

      子设备ID

    • ramSizeString必填

      显存容量

    • maxPartNumInteger必填

      最大切分数量

    • isVirtualBoolean必填

      是否虚拟设备

    • romVersionString必填

      固件版本

    • romMd5sumString必填

      固件MD5

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • typePciDeviceType必填

      详情参考type

      • GPU_Video_ControllerPciDeviceType必填

        GPU显卡控制器

      • GPU_Audio_ControllerPciDeviceType必填

        GPU声卡控制器

      • GPU_3D_ControllerPciDeviceType必填

        GPU 3D控制器

      • Moxa_DevicePciDeviceType必填

        MOXA卡

      • GenericPciDeviceType必填

        一般设备

    • statePciDeviceSpecState必填

      详情参考state

      • EnabledPciDeviceSpecState必填

        启用

      • DisabledPciDeviceSpecState必填

        停用

请求地址

GET/zstack/v1/pci-device-specs

/zstack/v1/pci-device-specs

操作 ID

QueryPciDeviceSpec

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/pci-device-specs' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "uuid": "6a2537202e134f9fa240f0455fc507cc", "name": "MSI_GTX1060", "description": "NVIDIA Corporation, GP106 [GeForce GTX 1060 6GB], a1, VGA compatible controller", "vendorId": "10de", "deviceId": "1c03", "subvendorId": "1462", "subdeviceId": "3283", "type": "GPU_Video_Controller", "state": "Enabled", "romVersion": "86.06.0E.00.28", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史